<div #mapComponentWrapper *ngIf="midPoint">
  <app-map-core (selectedHexagon)="selectRegion($event)" [midPoint]="midPoint" [mapHeight]="mapHeight"
    [circleRadius]="circleRadius" [updateRegionsEvent]="updateRegionsEvent" [enabledRegions]="enabledRegions"></app-map-core>
</div>
